plugins {
  id 'java'
  id 'org.springframework.boot' version '3.2.4'
  id 'io.spring.dependency-management' version '1.1.4'
}

group = 'com.dbnt'
version = '0.0.1-SNAPSHOT'

java {
  sourceCompatibility = '17'
}

repositories {
  mavenCentral()
}

dependencies {
  compileOnly 'org.projectlombok:lombok:1.18.24'
  annotationProcessor 'org.projectlombok:lombok:1.18.24'
  annotationProcessor 'org.springframework.boot:spring-boot-configuration-processor'

  implementation 'org.springframework.boot:spring-boot-starter'
  implementation 'org.springframework.boot:spring-boot-starter-web'
  implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
  implementation 'org.springframework.boot:spring-boot-starter-actuator'

  // https://mvnrepository.com/artifact/org.opensearch.client/spring-data-opensearch-starter
  implementation (group: 'org.opensearch.client', name: 'spring-data-opensearch-starter', version: '1.3.0'){
    exclude group: 'org.opensearch.client', module: 'opensearch-rest-client-sniffer'
  }

  runtimeOnly 'org.postgresql:postgresql:42.3.6'

}
